package com.ximai.mes.pro.mapper;

import com.ximai.mes.pro.domain.ProUsage;

import java.util.List;

/**
 * title:
 * author:ZHT
 * date:2024/1/15
 * description:
 */
public interface ProUsageMapper {
    List<ProUsage> selectProUsageList(ProUsage proUsage);

    ProUsage selectProUsageByUsageId(Long usageId);

    ProUsage checkUsageCodeUnique(ProUsage proUsage);

    ProUsage checkUsageNameUnique(ProUsage proUsage);

    int insertProUsage(ProUsage proUsage);

    int updateProUsage(ProUsage proUsage);

    int deleteProUsageByUsageIds(Long[] usageIds);
}
